#!/bin/bash

VER="--std=93"
#VER="--std=08 -frelaxed-rules"

# some cleanup :
rm -f *.cf *.o gategen PA3_components.vhdl PA3_definitions.vhdl &&

# compile the SLV utilities
ghdl -a $VER --work=SLV SLV_utils.vhdl &&

# compile the histogram definitions
ghdl -a $VER --work=Histo Histograms.vhdl &&

# compile the "gate generator":
ghdl -a $VER --work=proasic3 PA3_genlib.vhdl gategen.vhdl  &&
ghdl -e $VER --work=proasic3 gategen &&
# run and generate the whole gates:
./gategen -ggate_delay="1 ns" &&

# now compile the library :
ghdl -a $VER --work=proasic3 PA3_definitions.vhdl PA3_components.vhdl PA3_combi.vhdl &&

echo "Library generation : OK"
